import { PasswordRequestsFactory } from '../Requests/factory.js';
import { PasswordServicesFactory } from '../Services/factory.js';
import { ResetPasswordUseCase } from './ResetPasswordUseCase.js';
var PasswordUseCasesFactory = function PasswordUseCasesFactory() {};
PasswordUseCasesFactory.resetPasswordUseCase = function (_ref) {
  var config = _ref.config;
  return new ResetPasswordUseCase({
    config: config,
    resetPasswordService: PasswordServicesFactory.resetPasswordService({
      config: config
    }),
    resetPasswordRequest: PasswordRequestsFactory.resetPasswordRequest
  });
};
export { PasswordUseCasesFactory as default };